| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Digikam::RefocusMatrix Class Reference

## Static Public Member Functions
static double | c_mat_elt (const CMat *const mat, const int col, const int row)
static CMat * | compute_g_matrix (const CMat *const convolution, const int m, const double gamma, const double noise_factor, const double musq, const bool symmetric)
static void | convolve_star_mat (const CMat *const result, const CMat *const mata, const CMat *const matb)
static void | fill_matrix (CMat *const matrix, const int m, double f(const int, const int, const double), const double fun_arg)
static void | fill_matrix2 (CMat *const matrix, const int m, double f(const int, const int, const double, const double), const double fun_arg1, const double fun_arg2)
static void | finish_and_free_matrix (Mat *const mat)
static void | finish_c_mat (CMat *const mat)
static void | finish_matrix (Mat *const mat)
static void | init_c_mat (CMat *const mat, const int radius)
static void | make_circle_convolution (const double radius, CMat *const convolution, const int m)
static void | make_gaussian_convolution (const double alpha, CMat *const convolution, const int m)
static double | mat_elt (const Mat *const mat, const int r, const int c)